<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'SWITCH'            =>'Switch',
		'SW_ADD'            =>'Add',
		'SW_GENERAL_INFO'   =>'General information',
		'SW_VIEW'   		=>'Visual representation',
		'SW_MODIF'          =>'Modify',
		'SW_YES'            =>'Yes',
		'SW_NO'             =>'No',
		'SW_TOVALID'             =>'Validate',
		'SW_NO_AVAILABLE'   =>'Not available',
		'SW_NO_SUPPORTED'   =>'Model non supported. Please contact support@esia-sa.com to update esia',
		'SW_DESCRIPTION'    =>'Description',
		'SW_RESET'    =>'Reset',
		'ADM_SW_ADD'        =>'Add a switch',
		'ADM_SW_ADD_INTERFACE' =>'Network Interfaces',
		'ADM_SW_LIST'       =>'List switchs',
		'ADM_SW_ADD_NAME_FAILED'  =>'No match (either the entered is wrong or there is a DNS problem) for nslookup',
		'ADM_SW_ADD_NAME_FAILED_C'=>'Correspondence for',
		'ADM_SW_ADD_TELNET_FAILED'=>'Login/password or connection refused by the host error',
		'ADM_SW_ADD_SNMP_FAILED'  =>'UNREACHABLE',
		'ADM_SW_ADD_INSERT_DEVICE_FAILED'  =>'Error when inserting into the database',
		'ADM_SW_ADM_SNMP_DEVICE_FAILED' =>' The entered SNMP parameters are incorrect. The switch will be considered as a simple node.<br /> 
											Modify the SNMP parameters of the switch in the administration menu to add the interfaces.',
		'SW_INDEX_TITLE'      =>'Switchs Management',
		'SW_STATISTIC'=>'Statistics',
		'SW_INDEX_GROUP_NAME' =>'Name of the group',
		'SW_INDEX_NBR_SW'     =>'Number of switchs',
		'SW_INDEX_NO_GROUP'   =>'No defined group',
		'SW_INDEX_NBR_TOTAL'  =>'Total number of switch',
		'SW_INDEX_TOP'        =>'Top of problem interfaces',
		'SW_INDEX_TOP_DAYS'   =>'days',
		'SW_INDEX_TOP_DAY'    =>'day',
		'SW_INDEX_SW_NAME'    =>'Name of the switch',
		'SW_INDEX_INTERFACE'  =>'Interface',
		'SW_INDEX_NBR_WARNING'=>'Number of alert',
		'SW_INDEX_NBR_CRITI'  =>'Number of critical errol',
		'SW_INDEX_PAGE_EXE'   =>'Page executed in',
		'SW_INDEX_PAGE_EXE_TI'=>'seconds',
		'SW_LIST_TITLE'          =>'Switch of the group',
		'SW_LIST_SW_NAME'        =>'Name',
		'SW_LIST_SW_MANUFACTURER'=>'Manufacturer',
		'SW_LIST_SW_MODEL'       =>'Model',
		'SW_LIST_SW_OS'          =>'Operating system',
		'SW_LIST_SW_OS_ver'      =>'OS version',
		'SW_LIST_SW_SNMP_FAILED' =>'ERROR: switch unreachable by SNMP',
		'SW_CTRL_SW_SNMP_NO_FOUND'  =>'Information not available ',
		'SW_CTRL_SW_SNMP_UNSUPORTED'=>'Switch non supporté par Esia contacter support@esia-network.com',
		'SW_CTRL_SW_MANUFACTURER_UN'=>'Manufacturer not supporter by Esia. Please contact our client support or visit our website',
		'SW_CTRL_SW_NO_TEMPLATE'    =>'No configuration template for this switch. Please contact our client support (support@esia-sa.com) or visit our website',
		'SW_CTRL_SW_UNSUPORTED_FONCTION'=>'Functionnality not supported. Please contact our client support (support@esia-sa.com) or update Esia',
		'SW_CTRL_BUTTON_SH_RUN'     =>'Show configuration',
		'SW_CTRL_BUTTON_CONF_INT'   =>'Interfaces configuration',
		'SW_CTRL_BUTTON_VIEW_INT'   =>'Interfaces',
		'SW_CTRL_BUTTON_VIEW_INFO'  =>'Information',
		'SW_CTRL_SW_DAY'            =>'days',
		'SW_CTRL_SW_HOUR'           =>'hours',
		'SW_CTRL_SW_MINUTE'         =>'minutes',
		'SW_CTRL_SW_SECOND'        =>'seconds',
		'SW_CTRL_SW_CPU'            =>'CPU load',
		'SW_CTRL_SW_TEMPERATURE'    =>'Temperature',
		'SW_CTRL_SW_IP'             =>'IP address',
		'SW_CTRL_SW_UPTIME'         =>'Duration of activity',
		'SW_CTRL_SW_LGD_TITLE'      =>'Legend',
		'SW_CTRL_SW_LGD_OK'         =>'OK',
		'SW_CTRL_SW_LGD_DOWN'       =>'Down',
		'SW_CTRL_SW_LGD_WARN'       =>'Alert',
		'SW_CTRL_SW_LGD_CRI'        =>'Critical error',
		'SW_CTRL_SW_TAB_INTERFACE'  =>'Interface',
		'SW_CTRL_SW_TAB_PLUG'       =>'Plug',
		'SW_CTRL_SW_TAB_DESC'       =>'Description',
		'SW_CTRL_SW_TAB_LOGIN'      =>'Login and modification date',
		'SW_CTRL_SW_TAB_VOICE_VLAN' =>'VoIP',
		'SW_CTRL_SW_TAB_VLAN'       =>'VLAN',
		'SW_CTRL_SW_TAB_MODE'       =>'Mode',
		'SW_CTRL_SW_TAB_STATUS'     =>'Status',
		'SW_CTRL_SW_LINKNOTIFICATION'=>'Trap linkUp/linkDown',
		'SW_CTRL_SW_MACNOTIFICATION'=>'MacNotification',
		'SW_CTRL_SW_RMON_INPUTERROR'=>'RMON entry error',
		'SW_CTRL_SW_RMON_INTERVAL'=>'Interval',
		'SW_CTRL_SW_RMON_THRESHOLD'=>'Alert threshold', 
		'SW_CTRL_SW_VLAN_NO_OID'    =>'VLAN: Error OID. Check the ifIndex or the compatibility of your switch',
		'SW_CTRL_SW_MODE_NO_OID'    =>'OID mode error. Check the ifIndex or the compatibility of your switch',
		'SW_CTRL_SW_SH_RUN_TITLE'   =>'Current configuration',
		'SW_CTRL_SW_VIEW_INFO'      =>'Switch information',
		'SW_GEN_SW_TABLE_ACTION'        =>'Action',
		'SW_GEN_SW_TABLE_STATUS'        =>'Status',
		'SW_GEN_SW_FAILED'              =>'Failed',
		'SW_GEN_SW_TEMPLATE'            =>'Switch configuration template',
		'SW_GEN_SW_TEMPLATE_FOUND'      =>'Found',
		'SW_GEN_SW_TEMPLATE_FAILED'     =>'Not found',
		'SW_GEN_SW_ALIVE'               =>'Sending an SNMP request',
		'SW_GEN_SW_ALIVE_SUCCESS'       =>'Success',
		'SW_GEN_SW_ALIVE_FAILED'        =>'Failed',
		'SW_GEN_SW_UPLOAD_CONF_SUCCESS' =>'Success',
		'SW_GEN_SW_CONF'                =>'Generation of the configuration',
		'SW_GEN_SW_CONF_SUCCESS'        =>'Success',
		'SW_GEN_SW_UPDATE_DB'           =>'Database update',
		'SW_GEN_SW_UPDATE_DB_SUCCESS'   =>'Success',
		'SW_GEN_SW_UPLOAD_CONF'         =>'Loading of the configuration on the switch',
		'SW_GEN_SW_UPLOAD_CONF_SUCCESS' =>'Success',
		'SW_GEN_SW_GEN_CONF'            =>'Configuration load on the switch',
		'SW_GEN_SW_SAVE_FILE'           =>'Saving of the configuration into the file',
		'SW_GEN_SW_SAVE_FILE_FAILED'    =>'Can not create file',
		'SW_GEN_SW_SAVE_FILE_SUCCESS'   =>'Success',
		'SW_IF_ADMINSTATUS'         =>'IfAdminStatus',
		'SW_IF_BUTTON_MAC'          =>'MAC addresses log',
		'SW_IF_BUTTON_LOG_ERROR'    =>'Alerts log',
		'SW_IF_BUTTON_SHOW_INTER'   =>'Informations',
		'SW_IF_BUTTON_SHOW_SWITCH'  =>'Informations on the switch',
		'SW_IF_SHOW_INTER'          =>'State of the interface',
		'SW_IF_INDEX'         =>'IfIndex',
		'SW_IF_DESCRIPTION'         =>'IfDescription',
		'SW_IF_CRITICAL'         =>'Critical link',
		'SW_IF_OPERSTATUS'        	=>'OperStatus',
		'SW_IF_INOCTET'        		=>'Number of bytes received',
		'SW_IF_INOCTETERROR'        =>'Input error (CRC)',
		'SW_IF_OUTOCTET'        	=>'Number of byte sent',
		'SW_IF_OUTOCTETERROR'       =>'Output error',
		'SW_IF_SPEED'        		=>'Speed',
		'SW_IF_MTU'        			=>'MTU Size',
		'SW_IF_LASTOUT'        		=>'Last output',
		'SW_IF_IALIAS'              =>'Alias',
		'SW_IF_VOICEVLAN'           =>'VLAN voice',
		'SW_IF_LOG'                 =>'Alerts log',
		'SW_IF_TYPE'                =>'Type',
		'SW_IF_ERROR'               =>'Errors',
		'SW_IF_MESSAGE'             =>'Message',
		'SW_IF_TIME'                =>'Date et hour',
		'SW_IF_MAC_LOG'             =>'MAC address connected log',
		'SW_IF_MAC'                 =>'MAC address',
		'SW_IF_MAC_IP'              =>'IP address',
		'SW_IF_MAC_TIME_CONNECTION' =>'Date of connection',
		'SW_IF_MAC_TIME_OUT'        =>'Date of disconnection',
		'SW_IF_MAC_CONNECTED'       =>'connected',
		'SW_UPTIME_DURING'       =>'Since the ',
		'SW_PACKET'                =>'packet',
		'SW_INT_LOAD'  =>'Retrieve the requested information on the switch (It may takes a few minutes).',
		'SW_SNMP_FAILED'=>'ERROR: switch unreachable by SNMP. Check the SNMP configuration',
		'SEARCH_INT_PLUG'=>'Network plug',
		'SEARCH_INT_DESCRIPTION'=>'Interface description',
		'SEARCH_INT_MAC_ADDRESS'=>'MAC address',
		'ACCESS_SWITCH_INTERFACE_VIEW' => 'Allow access to switch interfaces',
		'ACCESS_SWITCH_CONF_VLAN_ACCESS' => 'Allow configuration of the vlan on the interfaces (in static and dynamic mode at cisco) (vlan untagged)',
		'ACCESS_SWITCH_CONF_VLAN_TRUNK' => 'Allow configuration of the vlan of interfaces in trunk mode (tagged)',
		'ACCESS_SWITCH_CONF_VOIP' => 'Allow VoIP configuration',
		'ACCESS_SWITCH_CONF_RESET_ACCESS' => 'Allows the \'reset\' of interfaces in static and dynamic mode',
		'ACCESS_SWITCH_CONF_RESET_TRUNK' => 'Allows the \'reset\' of interfaces in trunk mode',
		'SW_SCAN_START' => 'Scan in progress',
		'SW_SCAN_STARTED' => 'Scan in progress',
		'SW_SCAN_LAST' => 'Scan date: ',
		'SW_SCAN_PROTOCOL' => 'Protocol',
		'SW_SCAN_NODES' => 'Nodes',
		'SW_SCAN_MANUFACTURER' => 'Manufacturers',
		'SW_SCAN_IP' => 'IP adress',
		'SW_SCAN_ASK' => 'Run a mac address scan',
		'SW_INFORMATION_TECHNICAL' => 'Technical information',
		'SW_IF_DOWN' => 'Down',
		'SW_IF_NODE_CONNECT' => 'connected node',
));
?>