<?php
include_once 'model_switch.php';
function search_mac($dbconnection,$keyword,$userid=null)
{
	//chemin d'accès au repertoire du plugin contenant les templates
	$arr = Model_esia::getWebPlugin($dbconnection,false,'Switch');
	$sw_path= $arr[0]['apache_path'];
	
	if(preg_match('#^mac\s(.*)#',$keyword,$regs))
	{
		$mac=pg_escape_string($regs[1]);
		if(preg_match("#:#",$mac))
			$mac=preg_replace ('#:#','',$mac);
		if(preg_match("#\.#",$mac))
			$mac=preg_replace ('#\.#','',$mac);
		if(preg_match("# #",$mac))
			$mac=preg_replace ('# #','',$mac);
		$mac=strtolower($mac);
		if(preg_match("#-#",$mac))
			$mac=preg_replace ('#-#','',$mac);
		$list_mac = Model_switch::searchMac($dbconnection,$mac);
		$list_search = array();
		foreach($list_mac as $macaddress)
		{

			$desc='mac vendor '.$macaddress['mac_vendor'].'<br />';
			$desc.=' Connected to '.$macaddress['node_name'].': '.$macaddress['name'].'<br /> '.$macaddress['node_description'].'<br />';

			if($macaddress['mac_time_deconnection']==0)
				$desc.='connected';
			else
				$desc.='disconnected ('.date("d/m/Y H:i:s",$macaddress['mac_time_deconnection']).')';

			$list_search[]= array('name'=>$macaddress['node_name'].' '.$macaddress['name'].': '.$macaddress['mac_adresse'],
					'link'=>$sw_path.'/sw_control.php?id='.$macaddress['node_id'].'&interface='.$macaddress['name'].'&action=shMac',
					'description'=>$desc );
		}
		return $list_search;
	}
}
function search_plug($dbconnection,$keyword,$userid=null)
{
	//chemin d'accès au repertoire du plugin contenant les templates
	$arr = Model_esia::getWebPlugin($dbconnection,false,'Switch');
	$sw_path= $arr[0]['apache_path'];
	if(preg_match('#^plug\s(.*)#',$keyword,$regs))
	{
		$list = Model_switch::searchPlug($dbconnection,$regs[1]);
		$list_search = array();
		foreach($list as $plug)
		{

			$desc=$plug['plug'].' on '.$plug['node_name'].' '.$plug['name'].'<br />';
			$desc.=$plug['description'].'<br /> '.$plug['node_description'].'<br />';
			$list_search[]= array('name'=>$plug['plug'],
					'link'=>$sw_path.'/sw_control.php?id='.$plug['node_id'].'&interface='.$plug['name'],
					'description'=>$desc );
		}
		return $list_search;
	}
}
function search_interfaceDescription($dbconnection,$keyword,$userid=null)
{
	//chemin d'accès au repertoire du plugin contenant les templates
	$arr = Model_esia::getWebPlugin($dbconnection,false,'Switch');
	$sw_path= $arr[0]['apache_path'];
	if(preg_match('#^idesc\s(.*)#',$keyword,$regs))
	{
		$list = Model_switch::searchInterfaceDescription($dbconnection,$regs[1]);
		$list_search = array();
		foreach($list as $plug)
		{
			$desc=$plug['name'].' on '.$plug['node_name'].'<br />';
			$desc.=$plug['description'].'<br /> '.$plug['node_description'].'<br />';
			$list_search[]= array('name'=>$plug['name'],
					'link'=>$sw_path.'/sw_control.php?id='.$plug['node_id'].'&interface='.$plug['name'],
					'description'=>$desc );
		}
		return $list_search;
	}
}
?>